cgicc: cgicc::HTMLElementList Class Reference

# cgicc::HTMLElementList Class Reference

An expandable list of HTMLElement objects. More...

`#include <cgicc/HTMLElementList.h>`

List of all members.

## Public Member Functions
Constructors and Destructor
| HTMLElementList ()
| Create an empty HTMLElementList.
| HTMLElementList (const HTMLElement &head)
| Create a new HTMLElementList, specifying the first element.
| HTMLElementList (const HTMLElementList &list)
| Copy constructor.
| ~HTMLElementList ()
| Destructor.
Overloaded Operators
HTMLElementList & | operator= (const HTMLElementList &list)
| Assignment operator.
List Management
Manage the elements in the list
HTMLElementList & | add (const HTMLElement &element)
| Add an HTMLElement to the list.
HTMLElementList & | add (HTMLElement *element)
| Add an HTMLElement to the list.
void | render (std::ostream &out) const
| Render this HTMLElementList.

## Detailed Description

An expandable list of HTMLElement objects.

An HTMLElementList represents any number of HTMLElement objects. To add HTMLElement objects to the list, use the add() methods:

     cgicc::HTMLElementList list;
     list.add(br());

See also:
  HTMLAttribute

  HTMLElement

Definition at line 67 of file HTMLElementList.h.

## Constructor & Destructor Documentation

cgicc::HTMLElementList::HTMLElementList | ( |  | ) |

Create an empty HTMLElementList.

HTMLElementLists are most often created with the add() functions

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElement & | head | ) |

Create a new HTMLElementList, specifying the first element.

The first element in the list is set to `head`

Parameters:

  | head | The first element of the list

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElementList & | list | ) |

Copy constructor.

Sets the elements in this list to those of `list`

Parameters:

  | list | The HTMLElementList to copy.

cgicc::HTMLElementList::~HTMLElementList | ( |  | ) |

Destructor.

Deletes this HTMLElementList object

## Member Function Documentation

HTMLElementList& cgicc::HTMLElementList::operator= | ( | const HTMLElementList & | list | ) |

Assignment operator.

Sets the elements in this list to those of `list`

Parameters:

  | list | The HTMLElementList to copy

Returns:
  A reference to `this`

HTMLElementList& cgicc::HTMLElementList::add | ( | const HTMLElement & | element | ) |

Add an HTMLElement to the list.

Parameters:

  | element | The HTMLElement to add.

Returns:
  A reference to `this`

HTMLElementList& cgicc::HTMLElementList::add | ( | HTMLElement * | element | ) |

Add an HTMLElement to the list.

Parameters:

  | element | The HTMLElement to add.

Returns:
  A reference to the `this`

void cgicc::HTMLElementList::render | ( | std::ostream & | out | ) | const

Render this HTMLElementList.

Utility Methods

Parameters:

  | out | The ostream to which to write

The documentation for this class was generated from the following file:

- HTMLElementList.h